import { Editor } from '../editor.js';
import { IEditorWidget } from './widget.js';
export declare class ContentWidgets {
    private readonly domNode;
    private readonly editor;
    private widgets;
    private widgetLayerRect;
    constructor(editor: Editor, domNode: HTMLElement);
    getWidgetLayerRect(): DOMRect | ClientRect;
    addWidget(widget: IEditorWidget): void;
    layoutWidget(widget: IEditorWidget): void;
    removeWidget(widget: IEditorWidget): void;
}
